org.apache.pdfbox.pdmodel.common

## Class PDDictionaryWrapper

- java.lang.Object
- - org.apache.pdfbox.pdmodel.common.PDDictionaryWrapper

All Implemented Interfaces:
  COSObjectable

Direct Known Subclasses:
  PDAttributeObject, PDOutlineNode, PDTransition, PDTypedDictionaryWrapper, PDUserProperty

    public class PDDictionaryWrapper
    extends Object
    implements COSObjectable

A wrapper for a COS dictionary.

Author:
  Johannes Koch

### Constructor Summary

Constructors
Constructor and Description
`PDDictionaryWrapper()` Default constructor
`PDDictionaryWrapper(COSDictionary dictionary)` Creates a new instance with a given COS dictionary.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`COSDictionary` `getCOSObject()` Convert this standard java object to a COS object.
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDDictionaryWrapper

    public PDDictionaryWrapper()

Default constructor

#### PDDictionaryWrapper

    public PDDictionaryWrapper(COSDictionary dictionary)

Creates a new instance with a given COS dictionary.

Parameters:
  `dictionary` - the dictionary

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The cos object that matches this Java object.

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`